Page MenuHomePhabricator

dirstate: document dirstatemap interface
ClosedPublic

Authored by mbthomas on Nov 13 2017, 7:18 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mbthomas created this revision.Nov 13 2017, 7:18 AM
durin42 requested changes to this revision.Nov 13 2017, 5:41 PM
durin42 added a subscriber: durin42.
durin42 added inline comments.
mercurial/dirstate.py
1198

Nit: let's try and prefer """ to '''

Try and get a pithy one-line summary of the class on the first line of the docstring with the """

1214

copymap maps destination filenames to their source filename

perhaps? either way, optional.

This revision now requires changes to proceed.Nov 13 2017, 5:41 PM
mbthomas added inline comments.Nov 14 2017, 2:19 PM
mercurial/dirstate.py
1198

Sure. This file uses a mix of """ and ''' and I couldn't tell which was preferred.

mbthomas updated this revision to Diff 3513.Nov 15 2017, 4:08 AM
durin42 accepted this revision.Nov 17 2017, 5:22 PM
This revision is now accepted and ready to land.Nov 17 2017, 5:22 PM
This revision was automatically updated to reflect the committed changes.